#TITLE=CGF scripting
#INFO
Cliptext library for CGF mission scripts (draft)
#SORT=y

#T=abort
     abort;^!

#T=advance
      advance towards /*location*/ using "column";

#T=ammo M4 assault rifle
          ammo   "M4 Clip" = 2^!;
#T=ammo MK23 handgun
          ammo   "Pistol Clip" = 2^!;
#T=ammo MP5 submachinegun
          ammo   "Machinegun Magazine" = 2^!;                    

#T=ammo shotgun/cannon
          ammo   "12 Gauge Shells" = 7^!;
#T=ammo Sniper Rifle
          ammo   "AP Sniper Ammo" = 10^!;
#T=area (simple)
    area area_areaname^!
    { style     = open; // combine using open, closed, roof
      locations = locationname;
      radius    = 100;  // max distance to listed locations
    };

#T=attack
      attack towards /*location*/;

#T=continue ...
      continue with phase "labelname^!";

#T=defend
      defend towards /*location*/ from /*location*/;

#T=failure
    failure^!
      ( "force name",
        "objective related messages"
      )
      = (eliminated("force or team or member name") && occupied(/*locationname*/))
      -> { "script1.cgf", "script2.cgf" };


#T=insert
     insert at /*location*/ using "column";
#T=item Bandolier
          item   "Bandolier"^!;
#T=item Kevlar vest
          item   "Kevlar Vest"^!;
#T=item Laser Sight
          item   "Lasersight"^!;
#T=item Silencer
          item   "Silencer"^!;

#T=item Slippers
          item   "Stealth Slippers"^!;
#T=loadout
          /* full load out, use // to comment out as in:
            // ammo    "Pistol Clip" = 1;
          */
          ammo   "Pistol Clip" = 1^!;
          weapon "Dual MK23 Pistols";
          ammo   "Machinegun Magazine" = 2;                    
          weapon "MP5/10 Submachinegun";
          ammo   "M4 Clip" = 2;
          weapon "M4 Assault Rifle";
          ammo   "12 Gauge Shells" = 7;
          weapon "M3 Super 90 Assault Shotgun";
          weapon "Handcannon";
          ammo   "AP Sniper Ammo" = 20;
          weapon "Sniper Rifle";
          item   "Bandolier";
          item   "Kevlar Vest";
          item   "Lasersight";
          item   "Silencer";
          item   "Stealth Slippers";

#T=map style
    style = open^!;  // combine using open, indoor, dark, urban

#T=mission
mission "mission name^!"
{
  author
    "author name";

  description
    "mission description - appears in game";

  rules
  {
    respawn = none;
  };

  map "mapname"
  {
    // put map style here

    // put locations here
    location pose       = <   14,  -110,    72>;

    // put areas here
  };

  force "force1"
  { team "team1"
    { npc "npc1" "sas/grunt" 
        { 
          weapon "MP5/10 Submachinegun";
          ammo   "Machinegun Magazine" = 1;                    
          item   "Lasersight";
          skill  = 2.5;
        };
    };
  };

  force "force2"
  {
    team "team2"
    { 
      player "player1" "male/reservoir" 
        { 
          weapon "MP5/10 Submachinegun";
          ammo   "Machinegun Magazine" = 2;                    
          item   "Lasersight";
        };
    };
  };

  objectives
  {
    failure
      ( "force2",             // make sure name matches force/team name
        "time out"
      )
      =  timeout(60)
      -> {"mission.cgf"};     // fill out with mission names, separated by commas

  };

  plan "team1"
  {
     insert at spot using "column";  // fill out with location
     wait until ready;

     // fill out with more instructions below
  };

  plan "team2"
  {
     insert at spot using "column";  // fill out with location
     wait until ready;

     // fill out with more instructions below
  };
}

#T=moveup
      moveup to /*location*/ using "column";

#T=on (code ...) ...
      on (code "Alpha^!")
        {
          abort;
          radio "acknowledge code Alpha";
          // ...
          continue with phase "phaselabel";
        }; // on (code)

#T=on (contact) ...
      on (contact)
        {
          abort;
          continue with phase "phaselabel";
        }; // on (contact)

#T=patrol
      patrol;  // patrol all areas listed^!


#T=patrol (...)
      patrol (/* list of areas, comma separated */^!);  // patrol all areas listed

#T=phase
    //--------------------
    phase "phaselabel^!";

#T=plan ... { ... }
  plan "team name^!"
  {
      insert at locationname using "column";
      wait until ready;
  };


#T=pullback
      pullback to /*locationlabel*/ using "column";

#T=radio
      radio "message to team^!";

#T=rules
  rules
  {
    respawn = none^!;
  };


#T=signal code
      signal code "Alpha^!";

#T=snipe
      snipe from /*location*/  towards /*location*/;

#T=spread
      spread towards /*location*/^! within 2; // time in seconds

#T=success
    success^!
      ( "force name",
        "objective related messages"
      )
      = (eliminated("force or team or member name") && occupied(/*locationname*/))
      -> { "script1.cgf", "script2.cgf" };


#T=wait
      wait 1;^!  // delay in seconds

#T=wait forever
      wait forever;^!

#T=wait until code(...)
      wait until code("Alpha^!");

#T=wait until ready
      wait until ready;^!
#T=weapon Akimbo Pistols
          weapon "Dual MK23 Pistols"^!;
#T=weapon Hand Cannon
          weapon "Handcannon"^!;
#T=weapon Knifes
          weapon "Combat Knife"^!;
#T=weapon M3 shotgun
          weapon "M3 Super 90 Assault Shotgun"^!;
#T=weapon M4 assault rifle
          weapon "M4 Assault Rifle";^!

#T=weapon MK23 pistol
          weapon "MK23 Pistol"^!;

#T=weapon MP5 submachinegun
          weapon "MP5/10 Submachinegun";^!

#T=weapon Sniper Rifle
          weapon "Sniper Rifle";^!

#